Summary: Windows Metafile Library
Name: libwmf
Version: 0.2.8.3
Release: 5
Group: System Environment/Libraries
License: LGPL
Source: http://prdownloads.sourceforge.net/wvware/%{name}-%{version}.tar.gz
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root
Patch0: libwmf-0.2.8.3-nodocs.patch
Patch1: libwmf-0.2.8.3-relocatablefonts.patch
Patch2: libwmf-0.2.8.3-warnings.patch
Requires: gtk2 >= 2.4.1-2
Requires: libxml2 >= 2.6.8
Requires: gd >= 2.0.21
Requires(post,postun): %{_bindir}/update-gdk-pixbuf-loaders
BuildRequires: gtk2-devel
BuildRequires: libtool
BuildRequires: libxml2-devel
BuildRequires: gd-devel
BuildRequires: libpng-devel
BuildRequires: libjpeg-devel
BuildRequires: automake14

%description
A library for reading and converting Windows MetaFile vector graphics (WMF)

%package devel
Summary: Support files necessary to compile applications with libwmf
Group: Development/Libraries
Requires: libwmf = %{version}-%{release}
Requires: gtk2-devel
Requires: libxml2-devel
Requires: gd-devel

%description devel
Libraries, headers, and support files necessary to compile applications using libwmf.

%prep
%setup -q
%patch0 -p1 -b .nodocs
%patch1 -p1 -b .relocatablefonts
%patch2 -p1 -b .warnings

%build
rm configure.ac
libtoolize --force --copy
aclocal-1.4
autoconf
automake-1.4
%configure --with-libxml2
export tagname=CC
make LIBTOOL=/usr/bin/libtool %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
export tagname=CC
%makeinstall LIBTOOL=/usr/bin/libtool
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/*/loaders/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/*/loaders/*.la

%post
/sbin/ldconfig
%{_bindir}/update-gdk-pixbuf-loaders %{_arch}-%{_host_vendor}-%{_host_os}

%postun 
/sbin/ldconfig
%{_bindir}/update-gdk-pixbuf-loaders %{_arch}-%{_host_vendor}-%{_host_os}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README
%{_libdir}/lib*.so.*
%{_libdir}/gtk-2.0/*/loaders/*.so
%{_bindir}/wmf2svg
%{_bindir}/wmf2gd
%{_bindir}/wmf2eps
%{_bindir}/wmf2fig
%{_bindir}/wmf2x
%{_bindir}/libwmf-fontmap
%{_datadir}/libwmf

%files devel
%defattr(-,root,root)
%doc doc/*.html
%doc doc/*.png
%doc doc/*.gif
%doc doc/html
%doc doc/caolan
%{_libdir}/*.a
%{_libdir}/*.so
%{_includedir}/libwmf
%{_bindir}/libwmf-config

%clean
rm -r $RPM_BUILD_ROOT

%changelog
* Thu Oct  7 2004 Caolan McNamara <caolanm@redhat.com> 0.2.8.3-5
- #rh134945# Extra BuildRequires

* Wed Sep  1 2004 Caolan McNamara <caolanm@redhat.com> 0.2.8.3-4
- #131373# cleanup compiletime warnings

* Thu Jul  8 2004 Matthias Clasen <mclasen@redhat.com> - 0.2.8.3-3
- Update to use the new update-gdk-pixbuf-loaders script in gtk2-2.4.1-2

* Thu May 20 2004 Caolan McNamara <caolanm@redhat.com>
- Initial version
